<?xml version="1.0"?>
<web-app xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee web-app_2_4.xsd"
	version="2.4">

	<display-name>Archetype Created Web Application</display-name>
	<description>SpringMVC Demo Application</description>

	<!-- http://localhost:8080/spring-mvc_webapp_exemplo2/ -->
	
	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>/WEB-INF/spring-mvc_webapp_exemplo2-service.xml,
			/WEB-INF/spring-mvc_webapp_exemplo2-data.xml</param-value>
	</context-param>

	<!--
		- Loads the root application context of this web app at startup, see -
		contextConfigLocation above
	-->

	<!--

		<servlet> <servlet-name>context</servlet-name>
		<servlet-class>org.springframework.web.context.ContextLoaderServlet</servlet-class>
		<load-on-startup>1</load-on-startup> </servlet>
	-->

	<listener>
		<listener-class>org.springframework.web.context.ContextLoaderListener
		</listener-class>
	</listener>

	<servlet>
		<description>Spring MVC Dispatcher Servlet</description>
		<display-name>DispatcherServlet</display-name>
		<servlet-name>spring-mvc_webapp_exemplo2
		</servlet-name>
		<servlet-class>org.springframework.web.servlet.DispatcherServlet
		</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<servlet-mapping>
		<servlet-name>spring-mvc_webapp_exemplo2
		</servlet-name>
		<url-pattern>*.htm</url-pattern>
	</servlet-mapping>

	<welcome-file-list>
		<welcome-file>/jsp/index.jsp</welcome-file>
	</welcome-file-list>
	<error-page>
		<exception-type>java.lang.Exception
		</exception-type>
		<!-- Displays a stack trace -->
		<location>/jsp/uncaughtException.jsp
		</location>
	</error-page>
</web-app>
